diff -ruN linux-2.6.15.6/arch/x86_64/SYSCALLS.x86_64 linux-2.6.15.6-cher1/arch/x86_64/SYSCALLS.x86_64
--- linux-2.6.15.6/arch/x86_64/SYSCALLS.x86_64	1970-01-01 03:00:00.000000000 +0300
+++ linux-2.6.15.6-cher1/arch/x86_64/SYSCALLS.x86_64	2006-03-06 18:40:01.000000000 +0300
@@ -0,0 +1,258 @@
+sys_write							OK
+sys_open		fs/open.c                               CAP
+sys_close							OK
+sys_newstat		fs/stat.c				CAP
+sys_newfstat		fs/stat.c				CAP
+sys_newlstat		fs/stat.c				CAP
+sys_poll							OK
+sys_lseek		fs/read_write.c				CAP
+sys_mmap		arch/x86_64/kernel/sys_x86_64.c		CAP
+sys_mprotect		mm/mprotect.c				CAP
+sys_munmap							OK
+sys_brk								OK
+sys_rt_sigaction						OK
+sys_rt_sigprocmask					        OK
+stub_rt_sigreturn						OK
+sys_ioctl		fs/ioctl.c				CAP
+sys_pread64		fs/read_write.c				CAP
+sys_pwrite64		fs/read_write.c				CAP
+sys_readv							OK
+sys_writev							OK
+sys_access		fs/open.c				CAP
+sys_pipe		arch/x86_64/kernel/sys_x86_64.c		CAP
+sys_select							OK
+sys_sched_yield		kernel/sched.c				OK
+sys_mremap		mm/mremap.c				CAP
+sys_msync							OK
+sys_mincore		mm/mincore.c				CAP
+sys_madvise		mm/madvise.c				CAP
+sys_shmget		ipc/shm.c				CAP
+sys_shmat		ipc/shm.c				CAP
+sys_shmctl		ipc/shm.c				CAP
+sys_dup			fs/fcntl.c				CAP
+sys_dup2		fs/fcntl.c				CAP
+sys_pause		kernel/signal.c				CAP
+sys_nanosleep							OK
+sys_getitimer							OK
+sys_alarm		kernel/timer.c				OK
+sys_setitimer							OK
+sys_getpid							OK
+sys_sendfile64		fs/read_write.c				CAP
+sys_socket		net/socket.c				CAP
+sys_connect		net/socket.c				CAP
+sys_accept		net/socket.c				CAP
+sys_sendto		net/socket.c				CAP
+sys_recvfrom		net/socket.c				CAP
+sys_sendmsg		net/socket.c				CAP
+sys_recvmsg		net/socket.c				CAP
+sys_shutdown		net/socket.c				CAP
+sys_bind		net/socket.c				CAP
+sys_listen		net/socket.c				CAP
+sys_getsockname		net/socket.c				CAP
+sys_getpeername		net/socket.c				CAP
+sys_socketpair		net/socket.c				CAP
+sys_setsockopt		net/socket.c				CAP
+sys_getsockopt		net/socket.c				CAP
+stub_clone		arch/x86_64/kernel/entry.S (1)		CAP
+stub_fork		arch/x86_64/kernel/entry.S (1)		CAP
+stub_vfork		arch/x86_64/kernel/entry.S (1)		CAP
+stub_execve		arch/x86_64/kernel/entry.S (2)		CAP
+sys_exit							OK
+sys_wait4		kernel/exit.c				CAP
+sys_kill		kernel/signal.c				CAP
+sys_uname		arch/x86_64/kernel/sys_x86_64.c		CAP
+sys_semget		ipc/sem.c				CAP
+sys_semop		ipc/sem.c				CAP
+sys_semctl		ipc/sem.c				CAP
+sys_shmdt		ipc/shm.c				CAP
+sys_msgget		ipc/msg.c				CAP
+sys_msgsnd		ipc/msg.c				CAP
+sys_msgrcv		ipc/msg.c				CAP
+sys_msgctl		ipc/msg.c				CAP
+sys_fcntl		fs/fcntl.c				CAP
+sys_flock		fs/locks.c				CAP
+sys_fsync		fs/buffer.c				CAP
+sys_fdatasync		fs/buffer.c				CAP
+sys_truncate		fs/open.c				CAP
+sys_ftruncate		fs/open.c				CAP
+sys_getdents		fs/readdir.c				CAP
+sys_getcwd		fs/dcache.c				CAP
+sys_chdir		fs/open.c				CAP
+sys_fchdir		fs/open.c				CAP
+sys_rename		fs/namei.c				CAP
+sys_mkdir		fs/namei.c				CAP
+sys_rmdir	        fs/namei.c				CAP
+sys_creat		fs/open.c				CAP
+sys_link		fs/namei.c				CAP
+sys_unlink		fs/namei.c				CAP
+sys_symlink		fs/namei.c				CAP
+sys_readlink		fs/stat.c				CAP
+sys_chmod		fs/open.c				CAP
+sys_fchmod		fs/open.c				CAP
+sys_chown		fs/open.c				CAP
+sys_fchown		fs/open.c				CAP
+sys_lchown		fs/open.c				CAP
+sys_umask		kernel/sys.c				CAP
+sys_gettimeofday						OK
+sys_getrlimit		kernel/sys.c				OK
+sys_getrusage		kernel/sys.c				OK
+sys_sysinfo		kernel/timer.c				CAP
+sys_times							OK
+sys_ptrace		kernel/ptrace.c				CAP
+sys_getuid		kernel/timer.c				OK
+sys_syslog		kernel/printk.c				CAP
+sys_getgid							OK
+sys_setuid		kernel/sys.c				CAP
+sys_setgid		kernel/sys.c				CAP
+sys_geteuid							OK
+sys_getegid							OK
+sys_setpgid		kernel/sys.c				CAP
+sys_getppid							OK
+sys_getpgrp		kernel/sys.c				OK
+sys_setsid		kernel/sys.c				CAP
+sys_setreuid		kernel/sys.c				CAP
+sys_setregid		kernel/sys.c				CAP
+sys_getgroups		kernel/sys.c				CAP
+sys_setgroups		kernel/sys.c				CAP
+sys_setresuid		kernel/sys.c				CAP
+sys_getresuid		kernel/sys.c				CAP
+sys_setresgid		kernel/sys.c				CAP
+sys_getresgid		kernel/sys.c				CAP
+sys_getpgid		kernel/sys.c				CAP
+sys_setfsuid		kernel/sys.c				CAP
+sys_setfsgid		kernel/sys.c				CAP
+sys_getsid		kernel/sys.c				CAP
+sys_capget		kernel/capability.c			CAP
+sys_capset		kernel/capability.c			CAP
+sys_rt_sigpending						OK
+sys_rt_sigtimedwait						OK
+sys_rt_sigqueueinfo	kernel/signal.c				CAP
+stub_rt_sigsuspend						OK
+stub_sigaltstack						OK
+sys_utime		fs/open.c				CAP
+sys_mknod		fs/namei.c				CAP
+sys_ni_syscall							---
+sys_personality		kernel/exec_domain.c			CAP
+sys_ustat		fs/super.c				CAP
+sys_statfs		fs/open.c				CAP
+sys_fstatfs		fs/open.c				CAP
+sys_sysfs		fs/filesystems.c			CAP
+sys_getpriority		kernel/sys.c				CAP
+sys_setpriority		kernel/sys.c				CAP
+sys_sched_setparam	kernel/sched.c				CAP
+sys_sched_getparam	kernel/sched.c				CAP
+sys_sched_setscheduler	kernel/sched.c				CAP
+sys_sched_getscheduler	kernel/sched.c				CAP
+sys_sched_get_priority_max	kernel/sched.c			CAP
+sys_sched_get_priority_min	kernel/sched.c			CAP
+sys_sched_rr_get_interval	kernel/sched.c			CAP
+sys_mlock		mm/mlock.c				CAP
+sys_munlock		mm/mlock.c				CAP
+sys_mlockall		mm/mlock.c				CAP
+sys_munlockall		mm/mlock.c				CAP
+sys_vhangup		fs/open.c				CAP
+sys_modify_ldt		arch/x86_64/kernel/ldt.c		CAP
+sys_pivot_root		fs/namespace.c				CAP
+sys_sysctl		kernel/sysctl.c				CAP
+sys_prctl		kernel/sys.c				CAP
+sys_arch_prctl							OK
+sys_adjtimex		kernel/time.c				CAP
+sys_setrlimit		kernel/sys.c				CAP
+sys_chroot		fs/open.c				CAP
+sys_sync		fs/buffer.c				CAP
+sys_acct		kernel/acct.c				CAP
+sys_settimeofday	kernel/time.c				CAP
+sys_mount		fs/namespace.c				CAP
+sys_umount		fs/namespace.c				CAP
+sys_swapon		mm/swapfile.c				CAP
+sys_swapoff	        mm/swapfile.c				CAP
+sys_reboot		kernel/sys.c				CAP
+sys_sethostname		kernel/sys.c				CAP
+sys_setdomainname	kernel/sys.c				CAP
+stub_iopl		arch/x86_64/kernel/ioport.c		CAP
+sys_ioperm		arch/x86_64/kernel/ioport.c		CAP
+sys_ni_syscall							---
+sys_init_module		kernel/module.c				CAP
+sys_delete_module	kernel/module.c				CAP
+sys_ni_syscall							---
+sys_ni_syscall							---
+sys_quotactl		fs/quota.c				CAP
+sys_nfsservctl		fs/nfsctl.c				CAP
+sys_ni_syscall							---
+sys_ni_syscall							---
+sys_ni_syscall							---
+sys_ni_syscall							---
+sys_ni_syscall							---
+sys_gettid							OK
+sys_readahead		mm/filemap.c				CAP
+sys_setxattr		fs/xattr.c				CAP
+sys_lsetxattr		fs/xattr.c				CAP
+sys_fsetxattr		fs/xattr.c				CAP
+sys_getxattr		fs/xattr.c				CAP
+sys_lgetxattr		fs/xattr.c				CAP
+sys_fgetxattr		fs/xattr.c				CAP
+sys_listxattr		fs/xattr.c				CAP
+sys_llistxattr		fs/xattr.c				CAP
+sys_flistxattr		fs/xattr.c				CAP
+sys_removexattr		fs/xattr.c				CAP
+sys_lremovexattr	fs/xattr.c				CAP
+sys_fremovexattr	fs/xattr.c				CAP
+sys_tkill		kernel/signal.c				CAP
+sys_time							OK
+sys_futex							OK
+sys_sched_setaffinity	kernel/sched.c				CAP
+sys_sched_getaffinity	kernel/sched.c				CAP
+sys_ni_syscall							---
+sys_io_setup		fs/aio.c				CAP
+sys_io_destroy		fs/aio.c				CAP
+sys_io_getevents	fs/aio.c				CAP
+sys_io_submit		fs/aio.c				CAP
+sys_io_cancel		fs/aio.c				CAP
+sys_ni_syscall							---
+sys_lookup_dcookie	fs/dcookies.c				CAP
+sys_epoll_create	fs/eventpoll.c				CAP
+sys_ni_syscall							---
+sys_ni_syscall							---
+sys_remap_file_pages	fs/fremap.c				CAP
+sys_getdents64		fs/readdir.c				CAP
+sys_set_tid_address						OK
+sys_restart_syscall						OK
+sys_semtimedop		ipc/sem.c				CAP
+sys_fadvise64		mm/fadvise.c				CAP
+sys_timer_create	kernel/posix-timers.c			CAP
+sys_timer_settime	kernel/posix-timers.c			CAP
+sys_timer_gettime	kernel/posix-timers.c			CAP
+sys_timer_getoverrun	kernel/posix-timers.c			CAP
+sys_timer_delete	kernel/posix-timers.c			CAP
+sys_clock_settime	kernel/posix-timers.c			CAP
+sys_clock_gettime	kernel/posix-timers.c			CAP
+sys_clock_getres	kernel/posix-timers.c			CAP
+sys_clock_nanosleep	kernel/posix-timers.c			CAP
+sys_exit_group							OK
+sys_epoll_wait		fs/eventpoll.c				CAP
+sys_epoll_ctl		fs/eventpoll.c				CAP
+sys_tgkill		kernel/signal.c				CAP
+sys_utimes		fs/open.c				CAP
+sys_ni_syscall							---
+sys_mbind		mm/mempolicy.c				CAP
+sys_set_mempolicy	mm/mempolicy.c				CAP
+sys_get_mempolicy	mm/mempolicy.c				CAP
+sys_mq_open		ipc/mqueue.c				CAP
+sys_mq_unlink		ipc/mqueue.c				CAP
+sys_mq_timedsend	ipc/mqueue.c				CAP
+sys_mq_timedreceive	ipc/mqueue.c				CAP
+sys_mq_notify		ipc/mqueue.c				CAP
+sys_mq_getsetattr	ipc/mqueue.c				CAP
+sys_kexec_load		kernel/kexec.c				CAP
+sys_waitid		kernel/exit.c				CAP
+sys_add_key		security/keys/keyctl.c			CAP
+sys_request_key		security/keys/keyctl.c			CAP
+sys_keyctl		security/keys/keyctl.c			CAP
+sys_ioprio_set		fs/ioprio.c				CAP
+sys_ioprio_get		fs/ioprio.c				CAP
+sys_inotify_init	fs/inotify.c				CAP
+sys_inotify_add_watch	fs/inotify.c				CAP
+sys_inotify_rm_watch	fs/inotify.c				CAP
+
+
+syscall 0 is `read'
diff -ruN linux-2.6.15.6/arch/x86_64/SYSCALLS.x86_64_ia32 linux-2.6.15.6-cher1/arch/x86_64/SYSCALLS.x86_64_ia32
--- linux-2.6.15.6/arch/x86_64/SYSCALLS.x86_64_ia32	1970-01-01 03:00:00.000000000 +0300
+++ linux-2.6.15.6-cher1/arch/x86_64/SYSCALLS.x86_64_ia32	2006-03-13 15:25:47.000000000 +0300
@@ -0,0 +1,296 @@
+sys_exit							OK
+stub32_fork		arch/x86_64/ia32/ia32entry.S		CAP
+sys_read							OK
+sys_write       	                                        OK
+compat_sys_open		fs/compat.c				CAP
+sys_close							OK
+sys32_waitpid		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_creat		fs/open.c				CAP
+sys_link		fs/namei.c				CAP
+sys_unlink		fs/namei.c				CAP
+stub32_execve		arch/x86_64/ia32/ia32entry.S		CAP
+sys_chdir		fs/open.c				CAP
+compat_sys_time		kernel/compat.c				OK
+sys_mknod		fs/namei.c				CAP
+sys_chmod		fs/open.c				CAP
+sys_lchown16            kernel/uid16.c				CAP
+quiet_ni_syscall						---
+sys_stat		fs/stat.c				CAP
+sys32_lseek		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_getpid							OK
+compat_sys_mount	fs/compat.c				CAP
+sys_oldumount		fs/namespace.c				CAP
+sys_setuid16		kernel/uid16.c				CAP
+sys_getuid16		kernel/uid16.c				OK
+compat_sys_stime	kernel/compat.c				CAP
+sys32_ptrace		arch/x86_64/ia32/ptrace32.c		CAP
+sys_alarm		kernel/timer.c				OK
+sys_fstat		fs/stat.c				CAP
+sys_pause		kernel/signal.c				CAP
+compat_sys_utime	fs/compat.c				CAP
+quiet_ni_syscall						---
+quiet_ni_syscall						---
+sys_access		fs/open.c				CAP
+sys_nice		kernel/sched.c				CAP
+quiet_ni_syscall						---
+sys_sync		fs/buffer.c				CAP
+sys32_kill		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_rename		fs/namei.c				CAP
+sys_mkdir		fs/namei.c				CAP
+sys_rmdir	        fs/namei.c				CAP
+sys_dup			fs/fcntl.c				CAP
+sys32_pipe		arch/x86_64/ia32/sys_ia32.c		CAP
+compat_sys_times						OK
+quiet_ni_syscall						---
+sys_brk								OK
+sys_setgid16		kernel/uid16.c				CAP
+sys_getgid16		kernel/uid16.c				OK
+sys_signal							OK
+sys_geteuid16		kernel/uid16.c				OK
+sys_getegid16		kernel/uid16.c				OK
+sys_acct		kernel/acct.c				CAP
+sys_umount		fs/namespace.c				CAP
+quiet_ni_syscall						---
+compat_sys_ioctl	fs/compat.c				CAP
+compat_sys_fcntl64	fs/compat.c				CAP
+quiet_ni_syscall						---
+sys_setpgid		kernel/sys.c				CAP
+quiet_ni_syscall						---
+sys32_olduname		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_umask		kernel/sys.c				CAP
+sys_chroot		fs/open.c				CAP
+sys32_ustat		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_dup2		fs/fcntl.c				CAP
+sys_getppid							OK
+sys_getpgrp		kernel/sys.c				OK
+sys_setsid		kernel/sys.c				CAP
+sys32_sigaction							OK
+sys_sgetmask							OK
+sys_ssetmask							OK
+sys_setreuid16		kernel/uid16.c				CAP
+sys_setregid16		kernel/uid16.c				CAP
+stub32_sigsuspend						OK
+compat_sys_sigpending						OK
+sys_sethostname		kernel/sys.c				CAP
+compat_sys_setrlimit	kernel/compat.c				CAP
+compat_sys_old_getrlimit					OK
+compat_sys_getrusage					        OK
+sys32_gettimeofday						OK
+sys32_settimeofday	arch/x86_64/ia32/sys_ia32.c		CAP
+sys_getgroups16		kernel/uid16.c				CAP
+sys_setgroups16		kernel/uid16.c				CAP
+sys32_old_select						OK
+sys_symlink		fs/namei.c				CAP
+sys_lstat		fs/stat.c				CAP
+sys_readlink		fs/stat.c				CAP
+sys_uselib		fs/exec.c				CAP
+sys_swapon		mm/swapfile.c				CAP
+sys_reboot		kernel/sys.c				CAP
+compat_sys_old_readdir	fs/compat.c				CAP
+sys32_mmap		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_munmap							OK
+sys_truncate		fs/open.c				CAP
+sys_ftruncate		fs/open.c				CAP
+sys_fchmod		fs/open.c				CAP
+sys_fchown16	        kernel/uid16.c				CAP
+sys_getpriority		kernel/sys.c				CAP
+sys_setpriority		kernel/sys.c				CAP
+quiet_ni_syscall						---
+compat_sys_statfs	fs/compat.c				CAP
+compat_sys_fstatfs	fs/compat.c				CAP
+sys_ioperm		arch/x86_64/kernel/ioport.c		CAP
+compat_sys_socketcall	net/compat.c				CAP
+sys_syslog		kernel/printk.c				CAP
+compat_sys_setitimer						OK
+compat_sys_getitimer						OK
+compat_sys_newstat	fs/compat.c				CAP
+compat_sys_newlstat	fs/compat.c				CAP
+compat_sys_newfstat	fs/compat.c				CAP
+sys32_uname		arch/x86_64/ia32/sys_ia32.c		CAP
+stub32_iopl		arch/x86_64/ia32/ia32entry.S		CAP
+sys_vhangup		fs/open.c				CAP
+quiet_ni_syscall						---
+sys32_vm86_warning						OK
+compat_sys_wait4	kernel/compat.c				CAP
+sys_swapoff	        mm/swapfile.c				CAP
+sys32_sysinfo		arch/x86_64/ia32/sys_ia32.c		CAP
+sys32_ipc		arch/x86_64/ia32/ipc32.c		CAP
+sys_fsync		fs/buffer.c				CAP
+stub32_sigreturn						OK
+stub32_clone		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_setdomainname	kernel/sys.c				CAP
+sys_uname		arch/x86_64/kernel/sys_x86_64.c		CAP
+sys_modify_ldt		arch/x86_64/kernel/ldt.c		CAP
+sys32_adjtimex		arch/x86_64/ia32/sys_ia32.c		CAP
+sys32_mprotect		arch/x86_64/ia32/sys_ia32.c		CAP
+compat_sys_sigprocmask						OK
+quiet_ni_syscall						---
+sys_init_module		kernel/module.c				CAP
+sys_delete_module	kernel/module.c				CAP
+quiet_ni_syscall						---
+sys_quotactl		fs/quota.c				CAP
+sys_getpgid		kernel/sys.c				CAP
+sys_fchdir		fs/open.c				CAP
+quiet_ni_syscall						---
+sys_sysfs		fs/filesystems.c			CAP
+sys_personality		kernel/exec_domain.c			CAP
+quiet_ni_syscall						---
+sys_setfsuid16		kernel/uid16.c				CAP
+sys_setfsgid16		kernel/uid16.c				CAP
+sys_llseek              fs/read_write.c				CAP
+compat_sys_getdents	fs/compat.c				CAP
+compat_sys_select						OK
+sys_flock		fs/locks.c				CAP
+sys_msync							OK
+compat_sys_readv						OK
+compat_sys_writev						OK
+sys_getsid		kernel/sys.c				CAP
+sys_fdatasync		fs/buffer.c				CAP
+sys32_sysctl		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_mlock		mm/mlock.c				CAP
+sys_munlock		mm/mlock.c				CAP
+sys_mlockall		mm/mlock.c				CAP
+sys_munlockall		mm/mlock.c				CAP
+sys_sched_setparam	kernel/sched.c				CAP
+sys_sched_getparam	kernel/sched.c				CAP
+sys_sched_setscheduler	kernel/sched.c				CAP
+sys_sched_getscheduler	kernel/sched.c				CAP
+sys_sched_yield		kernel/sched.c				OK
+sys_sched_get_priority_max	kernel/sched.c			CAP
+sys_sched_get_priority_min	kernel/sched.c			CAP
+sys_sched_rr_get_interval	kernel/sched.c			CAP
+compat_sys_nanosleep						OK
+sys_mremap		mm/mremap.c				CAP
+sys_setresuid16		kernel/uid16.c				CAP
+sys_getresuid16							OK
+sys32_vm86_warning						OK
+quiet_ni_syscall						---
+sys_poll							OK
+compat_sys_nfsservctl	fs/compat.c				OK
+sys_setresgid16		kernel/uid16.c				CAP
+sys_getresgid16							OK
+sys_prctl		kernel/sys.c				CAP
+stub32_rt_sigreturn						OK
+sys32_rt_sigaction						OK
+sys32_rt_sigprocmask						OK
+sys32_rt_sigpending						OK
+compat_sys_rt_sigtimedwait					OK
+sys32_rt_sigqueueinfo	arch/x86_64/ia32/sys_ia32.c		CAP
+stub32_rt_sigsuspend						OK
+sys32_pread		arch/x86_64/ia32/sys_ia32.c		CAP
+sys32_pwrite		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_chown16		kernel/uid16.c				CAP
+sys_getcwd		fs/dcache.c				CAP
+sys_capget		kernel/capability.c			CAP
+sys_capset		kernel/capability.c			CAP
+stub32_sigaltstack						OK
+sys32_sendfile		arch/x86_64/ia32/sys_ia32.c		CAP
+quiet_ni_syscall						---
+quiet_ni_syscall						---
+stub32_vfork		arch/x86_64/ia32/ia32entry.S		CAP
+compat_sys_getrlimit						OK
+sys32_mmap2		arch/x86_64/ia32/sys_ia32.c		CAP
+sys32_truncate64	arch/x86_64/ia32/sys_ia32.c		CAP
+sys32_ftruncate64	arch/x86_64/ia32/sys_ia32.c		CAP
+sys32_stat64		arch/x86_64/ia32/sys_ia32.c		CAP
+sys32_lstat64		arch/x86_64/ia32/sys_ia32.c		CAP
+sys32_fstat64		arch/x86_64/ia32/sys_ia32.c		CAP
+sys_lchown		fs/open.c				CAP
+sys_getuid		kernel/timer.c				OK
+sys_getgid							OK
+sys_geteuid							OK
+sys_getegid							OK
+sys_setreuid		kernel/sys.c				CAP
+sys_setregid		kernel/sys.c				CAP
+sys_getgroups		kernel/sys.c				CAP
+sys_setgroups		kernel/sys.c				CAP
+sys_fchown		fs/open.c				CAP
+sys_setresuid		kernel/sys.c				CAP
+sys_getresuid		kernel/sys.c				CAP
+sys_setresgid		kernel/sys.c				CAP
+sys_getresgid		kernel/sys.c				CAP
+sys_chown		fs/open.c				CAP
+sys_setuid		kernel/sys.c                    	CAP
+sys_setgid		kernel/sys.c                    	CAP
+sys_setfsuid		kernel/sys.c				CAP
+sys_setfsgid		kernel/sys.c				CAP
+sys_pivot_root		fs/namespace.c				CAP
+sys_mincore		mm/mincore.c				CAP
+sys_madvise		mm/madvise.c				CAP
+compat_sys_getdents64	fs/compat.c				CAP
+compat_sys_fcntl64	fs/compat.c				CAP
+quiet_ni_syscall						---
+quiet_ni_syscall						---
+sys_gettid							OK
+sys_readahead		mm/filemap.c				CAP
+sys_setxattr		fs/xattr.c				CAP
+sys_lsetxattr		fs/xattr.c				CAP
+sys_fsetxattr		fs/xattr.c				CAP
+sys_getxattr		fs/xattr.c				CAP
+sys_lgetxattr		fs/xattr.c				CAP
+sys_fgetxattr		fs/xattr.c				CAP
+sys_listxattr		fs/xattr.c				CAP
+sys_llistxattr		fs/xattr.c				CAP
+sys_flistxattr		fs/xattr.c				CAP
+sys_removexattr		fs/xattr.c				CAP
+sys_lremovexattr	fs/xattr.c				CAP
+sys_fremovexattr	fs/xattr.c				CAP
+sys_tkill		kernel/signal.c				CAP
+sys_sendfile64		fs/read_write.c				CAP
+compat_sys_futex						OK
+compat_sys_sched_setaffinity	kernel/compat.c			CAP
+compat_sys_sched_getaffinity	kernel/compat.c			CAP
+sys32_set_thread_area						OK
+sys32_get_thread_area						OK
+compat_sys_io_setup	fs/compat.c                            	CAP
+sys_io_destroy		fs/aio.c				CAP
+compat_sys_io_getevents	fs/compat.c                            	CAP
+compat_sys_io_submit	fs/compat.c                            	CAP
+sys_io_cancel		fs/aio.c				CAP
+sys_fadvise64		mm/fadvise.c				CAP
+quiet_ni_syscall						---
+sys_exit_group							OK
+sys32_lookup_dcookie	arch/x86_64/ia32/sys_ia32.c		CAP
+sys_epoll_create	fs/eventpoll.c				CAP
+sys_epoll_ctl		fs/eventpoll.c				CAP
+sys_epoll_wait		fs/eventpoll.c				CAP
+sys_remap_file_pages	fs/fremap.c				CAP
+sys_set_tid_address						OK
+sys32_timer_create	arch/x86_64/ia32/sys_ia32.c		CAP
+compat_sys_timer_settime	kernel/compat.c			CAP
+compat_sys_timer_gettime	kernel/compat.c			CAP
+sys_timer_getoverrun	kernel/posix-timers.c			CAP
+sys_timer_delete	kernel/posix-timers.c			CAP
+compat_sys_clock_settime	kernel/compat.c			CAP
+compat_sys_clock_gettime	kernel/compat.c			CAP
+compat_sys_clock_getres	kernel/compat.c				CAP
+compat_sys_clock_nanosleep	kernel/compat.c			CAP
+compat_sys_statfs64	fs/compat.c				CAP
+compat_sys_fstatfs64	fs/compat.c				CAP
+sys_tgkill		kernel/signal.c				CAP
+compat_sys_utimes	fs/compat.c				CAP
+sys32_fadvise64_64	arch/x86_64/ia32/sys_ia32.c		CAP
+quiet_ni_syscall						---
+sys_mbind		mm/mempolicy.c				CAP
+compat_sys_get_mempolicy	mm/mempolicy.c			CAP
+sys_set_mempolicy	mm/mempolicy.c				CAP
+compat_sys_mq_open	ipc/compat_mq.c				CAP
+sys_mq_unlink		ipc/mqueue.c				CAP
+compat_sys_mq_timedsend	ipc/compat_mq.c				CAP
+compat_sys_mq_timedreceive	ipc/compat_mq.c			CAP
+compat_sys_mq_notify	ipc/compat_mq.c				CAP
+compat_sys_mq_getsetattr	ipc/compat_mq.c			CAP
+compat_sys_kexec_load	kernel/kexec.c				CAP
+compat_sys_waitid	kernel/compat.c				CAP
+quiet_ni_syscall						---
+sys_add_key		security/keys/keyctl.c			CAP
+sys_request_key		security/keys/keyctl.c			CAP
+sys_keyctl		security/keys/keyctl.c			CAP
+sys_ioprio_set		fs/ioprio.c				CAP
+sys_ioprio_get		fs/ioprio.c				CAP
+sys_inotify_init	fs/inotify.c				CAP
+sys_inotify_add_watch	fs/inotify.c				CAP
+sys_inotify_rm_watch	fs/inotify.c				CAP
+
+
+syscall 0 is `sys_restart_syscall'
diff -ruN linux-2.6.15.6/fs/aio.c linux-2.6.15.6-cher1/fs/aio.c
--- linux-2.6.15.6/fs/aio.c	2006-03-05 22:07:54.000000000 +0300
+++ linux-2.6.15.6-cher1/fs/aio.c	2006-03-06 12:09:05.000000000 +0300
@@ -1259,6 +1259,9 @@
 	unsigned long ctx;
 	long ret;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	ret = get_user(ctx, ctxp);
 	if (unlikely(ret))
 		goto out;
@@ -1293,7 +1296,12 @@
  */
 asmlinkage long sys_io_destroy(aio_context_t ctx)
 {
-	struct kioctx *ioctx = lookup_ioctx(ctx);
+	struct kioctx *ioctx;
+
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
+	ioctx = lookup_ioctx(ctx);
 	if (likely(NULL != ioctx)) {
 		io_destroy(ioctx);
 		return 0;
@@ -1568,6 +1576,9 @@
 	long ret = 0;
 	int i;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	if (unlikely(nr < 0))
 		return -EINVAL;
 
@@ -1645,6 +1656,9 @@
 	u32 key;
 	int ret;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	ret = get_user(key, &iocb->aio_key);
 	if (unlikely(ret))
 		return -EFAULT;
@@ -1704,9 +1718,13 @@
 				 struct io_event __user *events,
 				 struct timespec __user *timeout)
 {
-	struct kioctx *ioctx = lookup_ioctx(ctx_id);
+	struct kioctx *ioctx;
 	long ret = -EINVAL;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
+	ioctx = lookup_ioctx(ctx_id);
 	if (likely(ioctx)) {
 		if (likely(min_nr <= nr && min_nr >= 0 && nr >= 0))
 			ret = read_events(ioctx, min_nr, nr, events, timeout);
@@ -1721,3 +1739,9 @@
 EXPORT_SYMBOL(aio_complete);
 EXPORT_SYMBOL(aio_put_req);
 EXPORT_SYMBOL(wait_on_sync_kiocb);
+
+/**
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruN linux-2.6.15.6/fs/binfmt_aout.c linux-2.6.15.6-cher1/fs/binfmt_aout.c
--- linux-2.6.15.6/fs/binfmt_aout.c	2006-03-05 22:07:54.000000000 +0300
+++ linux-2.6.15.6-cher1/fs/binfmt_aout.c	2006-03-06 12:09:05.000000000 +0300
@@ -289,8 +289,13 @@
 	rlim = current->signal->rlim[RLIMIT_DATA].rlim_cur;
 	if (rlim >= RLIM_INFINITY)
 		rlim = ~0;
-	if (ex.a_data + ex.a_bss > rlim)
+	if (ex.a_data + ex.a_bss > rlim) {
+                if ((current->flags & PF_MEMLIMITON)) {
+                        current->flags |= PF_MEMLIMITERR;
+                        //send_sig(SIGKILL, current, 0); ???
+                }
 		return -ENOMEM;
+        }
 
 	/* Flush all traces of the currently running executable */
 	retval = flush_old_exec(bprm);
diff -ruN linux-2.6.15.6/fs/binfmt_flat.c linux-2.6.15.6-cher1/fs/binfmt_flat.c
--- linux-2.6.15.6/fs/binfmt_flat.c	2006-03-05 22:07:54.000000000 +0300
+++ linux-2.6.15.6-cher1/fs/binfmt_flat.c	2006-03-06 12:09:05.000000000 +0300
@@ -489,8 +489,13 @@
 	rlim = current->signal->rlim[RLIMIT_DATA].rlim_cur;
 	if (rlim >= RLIM_INFINITY)
 		rlim = ~0;
-	if (data_len + bss_len > rlim)
+	if (data_len + bss_len > rlim) {
+                if ((current->flags & PF_MEMLIMITON)) {
+                        current->flags |= PF_MEMLIMITERR;
+                        //send_sig(SIGKILL, current, 0); ???
+                }
 		return -ENOMEM;
+        }
 
 	/* Flush all traces of the currently running executable */
 	if (id == 0) {
@@ -898,3 +903,9 @@
 module_exit(exit_flat_binfmt);
 
 /****************************************************************************/
+
+/**
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruN linux-2.6.15.6/fs/buffer.c linux-2.6.15.6-cher1/fs/buffer.c
--- linux-2.6.15.6/fs/buffer.c	2006-03-05 22:07:54.000000000 +0300
+++ linux-2.6.15.6-cher1/fs/buffer.c	2006-03-06 12:09:05.000000000 +0300
@@ -294,6 +294,9 @@
 
 asmlinkage long sys_sync(void)
 {
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	do_sync(1);
 	return 0;
 }
@@ -338,6 +341,9 @@
 	struct address_space *mapping;
 	int ret, err;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	ret = -EBADF;
 	file = fget(fd);
 	if (!file)
@@ -3007,6 +3013,9 @@
 {
 	static int msg_count;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	if (!capable(CAP_SYS_ADMIN))
 		return -EPERM;
 
@@ -3152,3 +3161,9 @@
 EXPORT_SYMBOL(submit_bh);
 EXPORT_SYMBOL(sync_dirty_buffer);
 EXPORT_SYMBOL(unlock_buffer);
+
+/**
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruN linux-2.6.15.6/fs/compat.c linux-2.6.15.6-cher1/fs/compat.c
--- linux-2.6.15.6/fs/compat.c	2006-03-05 22:07:54.000000000 +0300
+++ linux-2.6.15.6-cher1/fs/compat.c	2006-03-13 13:01:21.000000000 +0300
@@ -61,6 +61,9 @@
 {
 	struct timeval tv[2];
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	if (t) {
 		if (get_user(tv[0].tv_sec, &t->actime) ||
 		    get_user(tv[1].tv_sec, &t->modtime))
@@ -75,6 +78,9 @@
 {
 	struct timeval tv[2];
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	if (t) { 
 		if (get_user(tv[0].tv_sec, &t[0].tv_sec) ||
 		    get_user(tv[0].tv_usec, &t[0].tv_usec) ||
@@ -89,8 +95,12 @@
 		struct compat_stat __user *statbuf)
 {
 	struct kstat stat;
-	int error = vfs_stat(filename, &stat);
+        int error;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
+        error = vfs_stat(filename, &stat);
 	if (!error)
 		error = cp_compat_stat(&stat, statbuf);
 	return error;
@@ -100,8 +110,12 @@
 		struct compat_stat __user *statbuf)
 {
 	struct kstat stat;
-	int error = vfs_lstat(filename, &stat);
+	int error;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
+        error = vfs_lstat(filename, &stat);
 	if (!error)
 		error = cp_compat_stat(&stat, statbuf);
 	return error;
@@ -111,8 +125,12 @@
 		struct compat_stat __user * statbuf)
 {
 	struct kstat stat;
-	int error = vfs_fstat(fd, &stat);
+	int error;
+
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
 
+        error = vfs_fstat(fd, &stat);
 	if (!error)
 		error = cp_compat_stat(&stat, statbuf);
 	return error;
@@ -164,6 +182,9 @@
 	struct nameidata nd;
 	int error;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	error = user_path_walk(path, &nd);
 	if (!error) {
 		struct kstatfs tmp;
@@ -181,6 +202,9 @@
 	struct kstatfs tmp;
 	int error;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	error = -EBADF;
 	file = fget(fd);
 	if (!file)
@@ -229,6 +253,9 @@
 	struct nameidata nd;
 	int error;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	if (sz != sizeof(*buf))
 		return -EINVAL;
 
@@ -249,6 +276,9 @@
 	struct kstatfs tmp;
 	int error;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	if (sz != sizeof(*buf))
 		return -EINVAL;
 
@@ -347,6 +377,9 @@
 	struct ioctl_trans *t;
 	int fput_needed;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	filp = fget_light(fd, &fput_needed);
 	if (!filp)
 		goto out;
@@ -482,6 +515,9 @@
 	struct flock f;
 	long ret;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	switch (cmd) {
 	case F_GETLK:
 	case F_SETLK:
@@ -545,6 +581,10 @@
 	aio_context_t ctx64;
 
 	mm_segment_t oldfs = get_fs();
+
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	if (unlikely(get_user(ctx64, ctx32p)))
 		return -EFAULT;
 
@@ -569,6 +609,9 @@
 	struct timespec t;
 	struct timespec __user *ut = NULL;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	ret = -EFAULT;
 	if (unlikely(!access_ok(VERIFY_WRITE, events, 
 				nr * sizeof(struct io_event))))
@@ -609,6 +652,9 @@
 	struct iocb __user * __user *iocb64; 
 	long ret;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	if (unlikely(nr < 0))
 		return -EINVAL;
 
@@ -796,6 +842,9 @@
 	char *dir_page;
 	int retval;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	retval = copy_mount_options (type, &type_page);
 	if (retval < 0)
 		goto out;
@@ -892,6 +941,9 @@
 	struct file *file;
 	struct compat_readdir_callback buf;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	error = -EBADF;
 	file = fget(fd);
 	if (!file)
@@ -967,6 +1019,9 @@
 	struct compat_getdents_callback buf;
 	int error;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	error = -EFAULT;
 	if (!access_ok(VERIFY_WRITE, dirent, count))
 		goto out;
@@ -1059,6 +1114,9 @@
 	struct compat_getdents_callback64 buf;
 	int error;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	error = -EFAULT;
 	if (!access_ok(VERIFY_WRITE, dirent, count))
 		goto out;
@@ -1884,6 +1942,9 @@
 	mm_segment_t oldfs;
 	int err;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	karg = kmalloc(sizeof(*karg), GFP_USER);
 	kres = kmalloc(sizeof(*kres), GFP_USER);
 	if(!karg || !kres) {
@@ -1946,3 +2007,9 @@
 	return sys_ni_syscall();
 }
 #endif
+
+/*
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruN linux-2.6.15.6/fs/dcache.c linux-2.6.15.6-cher1/fs/dcache.c
--- linux-2.6.15.6/fs/dcache.c	2006-03-05 22:07:54.000000000 +0300
+++ linux-2.6.15.6-cher1/fs/dcache.c	2006-03-06 12:09:05.000000000 +0300
@@ -1469,8 +1469,12 @@
 	int error;
 	struct vfsmount *pwdmnt, *rootmnt;
 	struct dentry *pwd, *root;
-	char *page = (char *) __get_free_page(GFP_USER);
+	char *page;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
+	page = (char *) __get_free_page(GFP_USER);
 	if (!page)
 		return -ENOMEM;
 
@@ -1765,3 +1769,9 @@
 EXPORT_SYMBOL(names_cachep);
 EXPORT_SYMBOL(shrink_dcache_parent);
 EXPORT_SYMBOL(shrink_dcache_sb);
+
+/**
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruN linux-2.6.15.6/fs/dcookies.c linux-2.6.15.6-cher1/fs/dcookies.c
--- linux-2.6.15.6/fs/dcookies.c	2006-03-05 22:07:54.000000000 +0300
+++ linux-2.6.15.6-cher1/fs/dcookies.c	2006-03-06 12:09:05.000000000 +0300
@@ -150,6 +150,9 @@
 	size_t pathlen;
 	struct dcookie_struct * dcs;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	/* we could leak path information to users
 	 * without dir read permission without this
 	 */
@@ -326,3 +329,9 @@
 EXPORT_SYMBOL_GPL(dcookie_register);
 EXPORT_SYMBOL_GPL(dcookie_unregister);
 EXPORT_SYMBOL_GPL(get_dcookie);
+
+/**
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
diff -ruN linux-2.6.15.6/fs/eventpoll.c linux-2.6.15.6-cher1/fs/eventpoll.c
--- linux-2.6.15.6/fs/eventpoll.c	2006-03-05 22:07:54.000000000 +0300
+++ linux-2.6.15.6-cher1/fs/eventpoll.c	2006-03-06 12:09:05.000000000 +0300
@@ -510,6 +510,9 @@
 	struct inode *inode;
 	struct file *file;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	DNPRINTK(3, (KERN_INFO "[%p] eventpoll: sys_epoll_create(%d)\n",
 		     current, size));
 
@@ -559,6 +562,9 @@
 	struct epitem *epi;
 	struct epoll_event epds;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	DNPRINTK(3, (KERN_INFO "[%p] eventpoll: sys_epoll_ctl(%d, %d, %d, %p)\n",
 		     current, epfd, op, fd, event));
 
@@ -661,6 +667,9 @@
 	struct file *file;
 	struct eventpoll *ep;
 
+        if (unlikely(!capable(CAP_SYS_OPERATIONS)))
+                return -EPERM;
+
 	DNPRINTK(3, (KERN_INFO "[%p] eventpoll: sys_epoll_wait(%d, %p, %d, %d)\n",
 		     current, epfd, events, maxevents, timeout));
 
@@ -1666,3 +1675,9 @@
 module_exit(eventpoll_exit);
 
 MODULE_LICENSE("GPL");
+
+/**
+ * Local variables:
+ *  c-basic-offset: 8
+ * End:
+ */
